"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants.js");

var _default = `
  <script>
    // sets up a message channel with es-dev-server to receive events
    // for reloading the browser on file change or logging errors
    (function () {
      if (!('EventSource' in window)) {
        return;
      }

      var eventSource = new EventSource('${_constants.messageChannelEndpoint}');

      eventSource.addEventListener('file-changed', function (e) {
        location.reload();
      });

      eventSource.addEventListener('error-message', function (e) {
        console.log(JSON.parse(e.data));
      });
    }());
  </script>
</body>
`;
exports.default = _default;