"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPolyfills = getPolyfills;
exports.legacyPolyfills = exports.modernPolyfills = void 0;

var _constants = require("../constants.js");

/** @type {import('@open-wc/building-utils/index-html/create-index-html').PolyfillsConfig} */
const modernPolyfills = {
  webcomponents: true,
  esModuleShims: true
};
/** @type {import('@open-wc/building-utils/index-html/create-index-html').PolyfillsConfig} */

exports.modernPolyfills = modernPolyfills;
const legacyPolyfills = { ...modernPolyfills,
  coreJs: true,
  regeneratorRuntime: true,
  fetch: true,
  systemJsExtended: true
};
/**
 * @param {string} compatibilityMode
 */

exports.legacyPolyfills = legacyPolyfills;

function getPolyfills(compatibilityMode) {
  if (!compatibilityMode || compatibilityMode === _constants.compatibilityModes.NONE) {
    return {};
  }

  if (compatibilityMode === _constants.compatibilityModes.ALL) {
    return legacyPolyfills;
  }

  if ([_constants.compatibilityModes.MODERN, _constants.compatibilityModes.ESM].includes(compatibilityMode)) {
    return modernPolyfills;
  }

  throw new Error(`Unknown compatibility mode: ${compatibilityMode}`);
}